-- Deploy postgis-vlci-vlci2:v_migrations/3226-crear-tabla-t_d_personal to pg

BEGIN;

CREATE TABLE vlci2.t_d_personal (
    fecha_extraccion date,
    num_emp integer,
    sexo char,
    fecha_nacimiento date,
    edad integer,
    grupo_titulacion varchar,
    haberes varchar,
    nivel_personal integer,
    compl_espec_personal varchar,
    compl_prod_personal varchar,
    compl_prod_espec_per varchar,
    fecha_antiguedad date,
    trienios_tipo_1 varchar,
    numer_tipo_1 varchar,
    trienios_tipo_2 varchar,
    numer_tipo_2 varchar,
    trienios_tipo_3 varchar,
    numer_tipo_3 varchar,
    trienios_tipo_4 varchar,
    numer_tipo_4 varchar,
    trienios_tipo_5 varchar,
    numer_tipo_5 varchar,
    trienios_tipo_6 varchar,
    numer_6 varchar,
    trienios_tipo_7 varchar,
    numer_tipo_7 varchar,
    trienios_tipo_8 varchar,
    numero_tipo_8 varchar,
    trienios_tipo_9 varchar,
    numer_tipo_9 varchar,
    ccc varchar,
    categoria_personal varchar,
    descripcion_categoria varchar,
    vinc_laboral varchar,
    desc_vinc_laboral varchar,
    referencia integer,
    puesto integer,
    descripcion_puesto varchar,
    gt_puesto varchar,
    haberes_puesto varchar,
    nivel_puesto varchar,
    compl_espec_puesto varchar,
    compl_prod_puesto varchar,
    compl_prod_espec_pue varchar,
    categoria_puesto varchar,
    literal_categoria_puesto varchar,
    sistema_provision_pu varchar,
    organigrama varchar(8),
    descripcion_organo varchar,
    area varchar,
    descripcion_area varchar,
    delegacion varchar,
    descripcion_delegacion varchar,
    servicio varchar,
    descripcion_servicio varchar,
    seccion varchar,
    descripcion_seccion varchar,
    negociado varchar,
    descripcion_negociado varchar,
    aud_fec_ins varchar,
    aud_user_ins timestamp,
    aud_fec_upd varchar,
    aud_user_upd timestamp
);

COMMIT;
